Package org.python.modules

# Class synchronize

java.lang.Object
org.python.modules.synchronize

public class synchronize extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`synchronize.SynchronizedCallable`

## Constructor Summary

Constructors
Constructor
Description
`synchronize()`

## Method Summary

Modifier and Type
Method
Description
`static Object`
`_getSync(PyObject obj)`
`static PyObject`
`apply_synchronized(PyObject syncObject, PyObject callable, PyObject args)`
`static PyObject`
`apply_synchronized(PyObject syncObject, PyObject callable, PyObject args, PyDictionary kws)`
`static PyObject`
`make_synchronized(PyObject callable)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### synchronize

public synchronize()

## Method Details

### _getSync

public static Object _getSync(PyObject obj)

### apply_synchronized

public static PyObject apply_synchronized(PyObject syncObject, PyObject callable, PyObject args)

### apply_synchronized

public static PyObject apply_synchronized(PyObject syncObject, PyObject callable, PyObject args, PyDictionary kws)

### make_synchronized

public static PyObject make_synchronized(PyObject callable)